<?xml version="1.0"?> 
<!DOCTYPE stylesheet [
<!ENTITY space "<xsl:text> </xsl:text>">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:util="xalan://com.ca.usm.xmlt.XmltUtil" extension-element-prefixes="util">
<!-- AVOID using "editReqID" directly to assign for any values in HTML document in order to prevent XSS vulnerability, 
   instead use "jsencodededitReqID" for usage in javascript and use "htmlencodededitReqID" for usage in HTML context
   and use "htmlattrencodededitReqID" for usage in HTML Attributes. -->
<!-- AVOID using "lsavedreqID" directly to assign for any values in HTML document in order to prevent XSS vulnerability, 
   instead use "htmlencodedlsavedreqID" for usage in HTML context, and use "htmlattrencodedlsavedreqID" for usage in 
   HTML Attributes context -->
<xsl:variable name="xslsharedcontent" select="document(concat('../../locale/',/xmlRoot/icuser/iclocale,'/request/requestshared.xml'))/shared/status" />
<xsl:param name="domainctx"/>
<xsl:param name="fromCheckout"/>
<xsl:variable name="showfoldericon" select="/xmlRoot/COLLECTION/INFO/show_folder_icons_on_browse_catalog/LITERAL='true'" />
<xsl:param name="numnewest" />
<xsl:variable name="ddownflag" select="/xmlRoot/COLLECTION/usm_offering"/>
<xsl:include href="../includes.xsl" />
<xsl:include href="requestcommontemplates.xsl" />
<xsl:include href="catalogbrowse_layout8.xsl" />
 <xsl:include href="../gwt/common.xsl" />
<xsl:variable name="isenduser" select="/xmlRoot/icuser/icgroupname='enduser'" />
<xsl:variable name="isCatalogUser" select="/xmlRoot/icuser/icgroupname='catalogenduser'" />


<xsl:param name="lsavedreqID"/>
<xsl:variable name="htmlencodedlsavedreqID" select="util:encodeForHTML($lsavedreqID)" />
<xsl:variable name="htmlattrencodedlsavedreqID" select="util:encodeForHTMLAttribute($lsavedreqID)" />
<xsl:param name="lsavedreqName"/>
<!--  Widget/Portlet related configurations -->
<xsl:param name="portal" select="false()"/>
<xsl:param name="renderTo" select="'listframe'"/>
<xsl:param name="pageType" select="'catalogbrowse'"/>
<!--  
<xsl:param name="pageSize"  select="/xmlRoot/COLLECTION/REQ_LIST_COL_CONFIG/request_list_page_size"/>
<xsl:param name="columnInfo"/>
<xsl:param name="sortAttr"  select="/xmlRoot/COLLECTION/REQ_LIST_COL_CONFIG/sort_attr"/>
<xsl:param name="sortDir" select="/xmlRoot/COLLECTION/REQ_LIST_COL_CONFIG/sort_dir"/> -->

<xsl:variable name="l10n" select="document(concat('../../locale/',/xmlRoot/icuser/iclocale,'/request/gwt.requestlist.xml'))/iclocalization" />
<xsl:variable name="xslcontent3" select="/xmlRoot/iclocalization | document(concat('../../locale/',/xmlRoot/icuser/iclocale,'/request/requestinfoshared.xml'))/shared" />
<xsl:variable name="editReqID" select="$uservars[icvariableid='KEEP_editReqID']/icvalue" />
<xsl:variable name="jsencodededitReqID" select="util:encodeForJavaScript($editReqID)" />
<xsl:variable name="htmlencodededitReqID" select="util:encodeForHTML($editReqID)" />
<xsl:variable name="htmlattrencodededitReqID" select="util:encodeForHTMLAttribute($editReqID)" />
<xsl:variable name="editReqName" select="$uservars[icvariableid='KEEP_editReqName']/icvalue" />
<xsl:variable name="canViewWarning" select="/xmlRoot/COLLECTION/INFO/access_view_warning_request/LITERAL='true'" />
<xsl:variable name="canPushThrough" select="/xmlRoot/COLLECTION/INFO/access_push_through_request/LITERAL='true'" />
<xsl:variable name="countDelegates" select="/xmlRoot/COLLECTION/SER_REQ_DEL_USER_COUNT" />
<xsl:variable name="baseURL">
	<xsl:if test="$portal">
		<xsl:value-of select="concat(/xmlRoot/icproxyurl,'/')"/>
	</xsl:if>
</xsl:variable>

<xsl:template match="xmlRoot" mode="head_customtags">
  <meta name="gwt:property">
    <xsl:attribute name="content"><xsl:value-of select="concat('locale=', icuser/localeLanguage, '_', icuser/localeCountry)" /></xsl:attribute>
  </meta>
</xsl:template>

<!-- 
  BEGIN CUSTOM: Make the layout to be 8 for Catalog Users. For the other Roles, use the SC value configured for the browse Layout.
 -->
<xsl:variable name="layout">
    <!--<xsl:value-of select="/xmlRoot/COLLECTION/INFO/default_layout"/>-->
	<xsl:choose>
     <xsl:when test="not($isCatalogUser)">
	     <xsl:value-of select="/xmlRoot/COLLECTION/INFO/default_layout"/>       
     </xsl:when>
     <xsl:otherwise>
		 <xsl:value-of select="'8'"/>       
     </xsl:otherwise>
   </xsl:choose>
</xsl:variable>
<!-- END CUSTOM -->

<xsl:variable name="showRequestInfo">
    <xsl:value-of select="/xmlRoot/COLLECTION/INFO/req_home_page_show_request_info"/>
</xsl:variable>


<!-- 

  LAYOUT INFORMATION:
  1 = regular, search is always in row
  2 = regular but hide the request info section, featured is expanded then
  
  3 = browse is grid
  4 = browse is grid and hide the request info
  
  5 = layout 4 but the search is always in a box, not row
  6 = hide request info. featured is in a grid, search is in a box
  7 = regular but search is in a box no matter who is logged in 
  8 = coral grid layout with browse section
  9 = coral grid layout w/o browse section
-->
<xsl:template match="xmlRoot">
  <xsl:apply-templates select="." mode="include">
    <xsl:with-param name="script_sortfunctions" select="false()" />
    <xsl:with-param name="script_date" select="$layout != '8' and $layout != '9'" /> 
    <xsl:with-param name="script_time" select="$layout != '8' and $layout != '9'" />
    <xsl:with-param name="script_number" select="$layout != '8' and $layout != '9'" />
    <xsl:with-param name="title" select="$xslcontent/page_title" />
    <xsl:with-param name="body_calendar" select="false()" />       
    <xsl:with-param name="gxt_style" select="true()" />
    <xsl:with-param name="gxt_request" select="true()" />
  </xsl:apply-templates>
</xsl:template>

<xsl:template match="xmlRoot" mode="script_imports">
  <script src="explorer/scripts/dynamictabs.js"></script>
  <xsl:if test="$layout != '8' and $layout != '9'">
  <script type="text/javascript" language="javascript" src="gwt/requestList/requestList.nocache.js"></script>
  </xsl:if>    
  <script type="text/javascript" language="javascript" src="explorer/scripts/jquery.js"></script>
  <script type="text/javascript" language="javascript" src="explorer/scripts/slider.js"></script>
</xsl:template>

<xsl:variable name="rootID"><xsl:value-of select="/xmlRoot/COLLECTION/PATH/OFFERING/id/LITERAL"/></xsl:variable>
<xsl:variable name="noOfFoldersPerPage" select="number('5')" />
<xsl:param name="group-size" select="number('5')" />
<xsl:variable name="noOfFolders" select="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[(folder_parent_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true')])" />
<xsl:variable name="noOfFeaturedServicesPerPage" select="number('6')" />  
<xsl:variable name="noOfFeaturedServices" select="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)" />

<xsl:variable name="numberOfPages">
<xsl:choose>
  <xsl:when test="$layout='8' or $layout='9'">
    <xsl:value-of select="ceiling($noOfFeaturedServices div $noOfFeaturedServicesPerPage)" />
  </xsl:when>
  <xsl:otherwise>
    <xsl:value-of select="ceiling($noOfFolders div $noOfFoldersPerPage)" />
  </xsl:otherwise>
</xsl:choose>
</xsl:variable>

<xsl:variable name="numberOfFolderPages" select="ceiling($noOfFolders div $noOfFoldersPerPage)" />


<xsl:template match="xmlRoot" mode="script_customcode">

  if ($.browser.msie  &amp;&amp; parseInt($.browser.version, 10) &lt; 9) { 
    $(function() {
      var el;
      
      $("select.ie8-auto-expand")
        .each(function() {
          el = $(this);
          el.data("origWidth", el.outerWidth()) // IE 8 will take padding on selects
        })
        .mouseenter(function(){
          $(this).css("width", "auto");
        })
        .bind("blur change", function(){
          el = $(this);
          el.css("width", el.data("origWidth"));
        });
    });
  }

 var currentPage = 1;
 var numberOfPages = 0; 
 var servicesPaneWidth = 766;

  <xsl:if test="$layout='8' or $layout='9'">
    var servicesPaneWidth = 610;
  </xsl:if>
 
  function next() {
   if (numberOfPages == 0 || currentPage == numberOfPages) return false;
    goToPage(currentPage+1);
    return false;
  }
  
  function goToPage(pageNo){
    $("#pagination-dots a").each(function(){
      image = $(this).find("img").get(0);
      
      if($(this).attr("pageno") == pageNo){
        $(image).attr("src","FileStore/images/offerings/Basic/dot_blue_selected.png");
      } else {
        $(image).attr("src","FileStore/images/offerings/Basic/dot_gray_unselected.png");
      }
    });
    
    if(pageNo == 1){
      $("#move-left img").attr("src","FileStore/images/offerings/Basic/arrow_move_left_disabled.png");
    } else {
      $("#move-left img").attr("src","FileStore/images/offerings/Basic/arrow_move_left.png");
    }
    
    if(pageNo == numberOfPages){
      $("#move-right img").attr("src","FileStore/images/offerings/Basic/arrow_move_right_disabled.png");
    } else {
      $("#move-right img").attr("src","FileStore/images/offerings/Basic/arrow_move_right.png");
    }
    var noOfPagesMoved = pageNo - currentPage;
    <xsl:choose>
      <xsl:when test="$layout='8' or $layout='9'">
      $("#featured-services-carousel div").animate({left:'-='+noOfPagesMoved*servicesPaneWidth+'px'},'normal','swing');
      </xsl:when>
      <xsl:otherwise>
      $("#folders-carousel div").animate({left:'-='+noOfPagesMoved*servicesPaneWidth+'px'},'normal','swing');
      </xsl:otherwise>
    </xsl:choose>
    currentPage = pageNo; 
    return;
  }

  function previous() {
    if (numberOfPages == 0 || currentPage == 1) return false;    
    goToPage(currentPage-1);
    return false;
  }
  
<!-- 
<xsl:if test="$layout='8' or $layout='9'">
 -->
  
  
  jQuery(document).ready(function() {
    $("#filter").emptyText("<xsl:value-of select="$xslcontent/filter" />");
    $("#filter").bind('keyup', function() {
      var field = $(this);
      slider.reset();	  
      if (field.val() != "") {
        var expr = "div.servicescarouselhiddendiv li:Contains('" + field.val() + "')";
        slider.initPages($(expr));
      } else {
      	slider.init();
      }
    });
    <xsl:if test="$isie">
    $("ul.dropdown").each(function(i,e) {
      $("li",e).bind({
        'mouseover': function() {$(this).addClass('hover')},
        'mouseout': function() {$(this).removeClass('hover')}
      });
    });
    </xsl:if>
   });

  
  var notificationCnt = 0;
  var previousNotification = 0;
  var currentNofication = 0;
  var notificationInterval;
  var numberOfPages = 0;
  var currentPage = 1;
  var notificationsExpanded = false;
  jQuery(document).ready(function() {
    $("#searchcriteria").emptyText("<xsl:value-of select="$xslcontent/search_catalog" />");
    notificationCnt = $("#notifications div").size();
    if (notificationCnt > 0) {
      $("#notifications div:eq("+currentNofication+")").css('top','2px');
     
       notificationInterval = setInterval(notificationRotate,'5000');
       $('#notifications').hover(function() {
          clearInterval(notificationInterval);
        }, function() {
          $("#notifications div").each(function(i,e){
            $(e).css('top',30);
          });
          $("#notifications").height(20);
          notificationsExpanded = false;
          notificationInterval = setInterval(notificationRotate,'5000'); //time in milliseconds
          notificationRotate();
       });
       $("#notifications").click(function() {
        if (notificationsExpanded) {
          $("#notifications div").each(function(i,e){
            $(e).css('top',30);
          });
          $("#notifications").height(20);
          notificationsExpanded = false;
        } else {
          var height = 2;
          var tops = new Array();
          $("#notifications div").each(function(i,e){$(e).stop(true, true).show(); var h = $(e).outerHeight(); tops[i] = height; height += h + 15; });
          
          $("#notifications div").each(function(i,e){
            $(e).css('top',tops[i]);
          });
          $("#notifications").height(Math.max(height, 20));
          notificationsExpanded = true;
        }
       });
    } else {
      $("#notifications").hide();
    }
    var numRows = 3;
    var numPerRow = 4;
    var numFeaturedServices = $("#services-carousel li").size();
    numberOfPages = Math.ceil(numFeaturedServices/(numRows*numPerRow));
    if (numPerRow &gt; Math.ceil(numFeaturedServices/numRows)) {
      $("#services-carousel ul").height($("#services-carousel ul li").outerHeight(true) * numRows);
    } else {
      $("#services-carousel ul").height($("#services-carousel ul li").outerHeight(true) * Math.ceil(numFeaturedServices/numPerRow));
    }
    
    if (numberOfPages &lt; 2) $("#services-carousel > div:eq(1)").hide(); 
    $("#carousel-page-count").text(Math.max(numberOfPages,1));
    $("#carousel-current-page").text(currentPage);
    
    if (isie) {
      $("ul.dropdown").each(function(i,e) {
        $("li",e).bind({
          'mouseover': function() {$(this).addClass('hover')},
          'mouseout': function() {$(this).removeClass('hover')}
        });
      });
    }
  });
  
   function notificationRotate() {
     currentNofication = (previousNotification + 1) % notificationCnt; 
     $("#notifications div:eq(" + previousNotification + ")").animate({top: -30},700, function() {
       $(this).css('top','30px');
     }).hide();
     $("#notifications div:eq(" + currentNofication + ")").show().animate({top: 2},700);  
     previousNotification = currentNofication;
   }
   

<!-- 
  </xsl:if>

 -->

  <xsl:call-template name="gwt_l10n">
    <xsl:with-param name="name" select="'_ca_request_list_L10n'"/>
    <xsl:with-param name="messages" select="$l10n"/>
  </xsl:call-template>
  var contextUserCurrentIndex;

  var recentRequestsDays = "<xsl:value-of select="/xmlRoot/COLLECTION/INFO/recent_requests_days"/>";
  // End of  GXT list pages meta data   
    
  function editDelegate() {
    var profileUrl = "<xsl:value-of select="concat(//icservletname,'?Node=icguinode.',//icguinode/icguinodeinfo[16],'&amp;Args=',util:replaceSlashWithDoubleSlash(//icuser/icuserid))"/>";
    var regex = '[?&amp;]Node=([^&amp;#]*)';
    var results = (new RegExp(regex)).exec(window.location.href);
    if(results) profileUrl += "&amp;KEEP_returnNode=" + results[1];
          
    window.location.href = profileUrl; 
  }

  var current_offering_id = -1;
  
  var mflag = false;
  function sh(a,b,c)
  {
    document.getElementById(a).style.display="none";
    document.getElementById(b).style.display="";
    if(document.getElementById(c).style.display=="none")
    {
      document.getElementById(c).style.display="";
      if(c=="searchTable") mflag = false;     
    }
    else
    {
      document.getElementById(c).style.display="none";
      if(c=="searchTable") mflag = true;      
    } 
      
    //resizeviewtable();  
  }
  function searchclick()
  {   
    var thestr = document.getElementById("searchcriteria").value;     
    var isSentenceSearch = "false";
    var words = null;
    var count = 0;
    
    thestr = trim(thestr); //remove leading and trailing spaces
    if (thestr.length == 0)
    {
      alert("<xsl:value-of select="$xslcontent/enter_valid_string" />");
      return;
    }
    //if search string starts and ends with single quote or double quotes
    if((thestr.charAt(0) == "\'" &amp;&amp; thestr.charAt(thestr.length-1) == "\'") || (thestr.charAt(0) == "\"" &amp;&amp; thestr.charAt(thestr.length-1) == "\""))
    {
      isSentenceSearch = "true";
      var str  = new String(thestr);
      if(str.charAt(0) == "\"" &amp;&amp; str.charAt(str.length-1) == "\"")
      {
        str = "\'" + str.substring(1, str.length - 1) + "\'"; //replace qouble quotes to single quote so that search will work
      }
      str = str.replace(/^\s+/g, '').replace(/\s+$/g, '');
      str = str.replace(/\s+/g, ' ');
      
      words = str.split(" ");
      for(i=0;i&lt;words.length;i++)
      {
        var word = new String(words[i]);
        if((word.charAt(0)=="\'" &amp;&amp; word.charAt(word.length-1)=="\'")) 
        {
          count++;
        }
      }
      if(count==words.length) //multiword search
      {
        isSentenceSearch = "false";
      }
    }
    else //multi word search
    {
      var str  = new String(thestr);
      str = str.replace(/^\s+/g, '').replace(/\s+$/g, '');
      str = str.replace(/\s+/g, ' ');
      words = str.split(" ");
    }

    var convertedStr  = new String(thestr);
    if(convertedStr.charAt(0) == "\"" &amp;&amp; convertedStr.charAt(convertedStr.length-1) == "\"")
    {
      convertedStr = "\'" + convertedStr.substring(1, convertedStr.length - 1) + "\'";  //replace qouble quotes to single quote so that search will work
    }
    convertedStr = convertedStr.replace(/\ /g,"% %");
    convertedStr = convertedStr.replace(/\'/g,"");
    convertedStr = convertedStr.replace(/^\s+/g, '').replace(/\s+$/g, '');
    convertedStr = convertedStr.replace(/\s+/g, ' ');

    var str = new String();
    cmbo = document.getElementById("properties");
    //loop for all of the string types
    for(z=0;z&lt;cmbo.options.length;z++)
    {
      if(cmbo.options[z].value!="ALL" &amp;&amp; cmbo.options[z].getAttribute("type")=="string")
      {         
        if(isSentenceSearch=="true")
        {
          str += cmbo.options[z].value + dl2 + " like " + dl2 + "%" + convertedStr + "%";                     
          str += dl1 + " OR " + dl1;  
        }
        else  //multiple word search
        {
          for(i=0;i&lt;words.length;i++)
          {
            if (words[i] == "'")
            continue; // Ignore if the word is a single quote itself; it results in "LIKE '%%'" condition

            var newstr = words[i].replace(/\'/g,"");
            str += cmbo.options[z].value + dl2 + " like " + dl2 + "%" + newstr + "%";                     
            str += dl1 + " OR " + dl1;  
          }
          
        }
      }
      if(cmbo.options[z].value!="ALL" &amp;&amp; !isNaN(thestr) &amp;&amp; cmbo.options[z].getAttribute("type")=="float")
      {
        //if search string is a number, then include amount in query
        str += "(" + dl1 + cmbo.options[z].value + dl2 + " = " + dl2 + thestr;  
        str += dl1 + " AND " + dl1;
        str += "item_type" + dl2 + "=" + dl2 + "3" + dl1 + ")";
        str += dl1 + " OR " + dl1;  
      } 
    }

    str = str.substring(0,str.length-6);
    
    var foldercombo = document.getElementById("foldercombo");
    
    theForm = document.getElementById("hiddenformsearchcatalog");
    theForm.Args[0].value = foldercombo.options[foldercombo.selectedIndex].value;
    theForm.Args[1].value = str;
    theForm.searchstr.value = thestr;
    theForm.sparams.value = str;
    theForm.searchIn.value = foldercombo.options[foldercombo.selectedIndex].value;
    theForm.searchInstr.value = getInnerText(foldercombo.options[foldercombo.selectedIndex]);
    
    hiddenformsearchcatalog.submit();
    
    
  }       
      
  function showofferings(id, parent_id, parent_name)
  { 
    
    if (typeof id == "undefined")
    {
      id = current_offering_id;
    }
        
    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[2])" />";
    url += "&amp;Args=" + id;
    url += "&amp;ObjectID=" + id;
    url += "&amp;NspPath=";
    window.location.href = url;
  } 
    
  function kpr(event)
  {
    if(event.keyCode==13) reqsearchclick();
  } 
  function kp(event)
  {
    if(event.keyCode==13) searchclick();
  }
  CA_Catalog = window.CA_Catalog || {} ;
	CA_Catalog.RequestList = CA_Catalog.RequestList || {} ;
	CA_Catalog.RequestList.<xsl:value-of select="$pageType"/> = CA_Catalog.RequestList.<xsl:value-of select="$pageType"/> || {} ;
	CA_Catalog.RequestList.<xsl:value-of select="$pageType"/>.Methods = function () {
		var getCurrentPage = function() {
								return curPage ? curPage : 0 ; 	
							};
		var getCurrentPageSize =  function() {
								return currentPageSize ? currentPageSize : 10 ; 									
							};
		return {
			viewUserProfile: function(userid){
							    var wLeft = Math.round((screen.width) / 12); 
							    var wTop = Math.round((screen.height) / 12);
							    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',util:getNodeWithHandle('userdetails',icuser/securityhandle))"/>";
							    url += "&amp;Args=" + encodeURIComponent(userid);
							    window.open(url,"userDetails","height=600,width=850,left=" +wLeft+",top="+wTop+",resizable=yes,scrollbars=1");
							 }
			,stathistory:	function(reqid){
							    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[9])"/>";
							    url += "&amp;Args=" + reqid;
							    var wLeft = Math.round((screen.width - 600) / 2); 
							    var wTop = Math.round((screen.height - 400) / 2); 
							    window.open(url,"statRHistory","height=450,width=550,left=" +wLeft+",top="+wTop+",resizable=yes,scrollable=yes,scrollbars=1");
							  }
			,showdetail: function (id){
						    //view request profile
						    url = "<xsl:value-of select="concat(/xmlRoot/icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[8],'&amp;Args=')" />" + id;
						    url += "&amp;KEEP_returnNode=<xsl:value-of select="/xmlRoot/icguinode/icguinodeid"/>" ;
						    url +=  escape("&amp;Args=" + getCurrentPage() + "&amp;Args=" + getCurrentPageSize() ); 
						    window.location.href = getBaseURL() + url ;
						  }
		};
	}();
  
  function concatTitle(a,b){
  	return (a+b);
  }
  function detailsclick(oid, code)
  {
    //hsuja04 START GIS 
    if((code != undefined) &amp;&amp; (code != null) &amp;&amp; (code.toString().length > 0))
    {
      if(code.toUpperCase().substr(0,4) == "URL:")
      {
        code = code.substr(4,code.length-4);
        window.open(code);
        return;
      }
      <xsl:if test="$sdURL!=0">
      else if(code.toUpperCase().substr(0,3) == "SD:")
      {
        code = code.substr(3,code.length-3);
        if("<xsl:value-of select="$isEmbedded" />" != "0")
        {
          createRequest(code); //using Service Catalog as embedded frame
        }
        else
        {
          createPopupRequest(code); 
        }
        return;
      }
      </xsl:if>
    }
    //hsuja04 END
    
    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[5])" />";
    <xsl:choose>
      <xsl:when test="string-length($editReqID)&gt;0">
        url += "&amp;Args=" + oid;
        url += "&amp;Args=" + "<xsl:value-of select="$jsencodededitReqID"/>";                                
      </xsl:when>
      <xsl:otherwise>
        url += "&amp;Args=" + oid;        
      </xsl:otherwise>
    </xsl:choose>         
    url += "&amp;ObjectID=" + oid;
    url += "&amp;NspPath=";
    window.location.href = url;
  }
    function getBaseURL() {
      var s = document.location.href;
  
      // Pull off any hash.
      var i = s.indexOf('#');
      if (i != -1)
        s = s.substring(0, i);
  
      // Pull off any query string.
      i = s.indexOf('?');
      if (i != -1)
        s = s.substring(0, i);
  
      // Rip off everything after the last slash.
      i = s.lastIndexOf('/');
      if (i != -1)
        s = s.substring(0, i);
        
      // Ensure a final slash if non-empty.
      return s.length > 0 ? s + "/" : "";
  }  
  
  function offeringreturn()
  {
    var url = "<xsl:value-of select="concat(/xmlRoot/icservletname,'?Node=icguinode.',util:getNodeWithHandle('catalogbrowse',icuser/securityhandle))"/>";
    window.location.href = url;
  }
  function getreqitems()
  {
    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[6])" />";
    window.location.href = url;
  }
  function completeclick()
  {
    url = "<xsl:value-of select="concat(/xmlRoot/icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[7])"/>";
    window.location.href = url;
  }
  function requestdetails(reqid)
  {
    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[8])" />";
    url += "&amp;Args=" + reqid;
    window.location.href = url;
  }
  function recentrefresh()
  {
    hiddenrecentrefresh.submit();
  }
  function countrefresh()
  {
    hiddencountrefresh.submit();
  }
  function reqsearchclick()
  {
    nstr = getNumberInputString(document.getElementById("requestid").value);
    if(document.getElementById("requestid").value=="")
    {
      alert("<xsl:value-of select="$xslcontent/req_id_can_not_be_empty" />"); 
      document.getElementById("requestid").focus();
      return;
    }
    else if(isNaN(nstr))
    {
      alert("<xsl:value-of select="$xslcontent/invalid_integer_value" />"); 
      document.getElementById("requestid").focus();
      return;
    }
    
    var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[8])" />"+"&amp;Args="+nstr+"&amp;KEEP_returnNode=";
    
    var ajax_url ="<xsl:value-of select="concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[17])" />"+"&amp;Args="+nstr+"&amp;KEEP_returnNode=";
    ajax_url = ajax_url + "&amp;b2b=yes";
    
    var req = getXmlHttpRequest();
    req.open("POST", ajax_url, false); //synchronous ajax call    
    if(isie) req.send(); else req.send(null);
    
    if (req.responseXML != null) {
      var xmlRoot = req.responseXML.documentElement;
      if(xmlRoot!=null) {
        var requestResult = selectSingleNodeText(xmlRoot,"/xmlRoot/info/request_id/LITERAL");
        if(requestResult!=null &amp;&amp; requestResult==nstr)
        {
          window.location.href = url;   
        } else {
          alert("<xsl:value-of select="$xslcontent/request_id_not_found" />");
        }
              
      }
    }
  }
  
  function cb()
  {
    if(isie)
      var doc = hFrame.document;
    else
      var doc = document.getElementById("hFrame").contentDocument;
    recentflag  = doc.body.getAttribute("recentflag");
    countflag  = doc.body.getAttribute("countflag");
    hiddenresult = doc.body.getAttribute("hiddenresult");

    if(countflag!=null &amp;&amp; countflag=='true')
    {
      document.getElementById("carttd").innerHTML = doc.body.getAttribute("cartcount");
      document.getElementById("opentd").innerHTML = doc.body.getAttribute("opencount");
      document.getElementById("completedtd").innerHTML = doc.body.getAttribute("completedcount");
      document.getElementById("actiontd").innerHTML = doc.body.getAttribute("actioncount");
    }
    else if(recentflag!=null &amp;&amp; recentflag=='true')
    {
      document.getElementById("recentreqtable").innerHTML = "";
      document.getElementById("recentreqtable").innerHTML = doc.body.innerHTML;
      tb = document.getElementById("recentreqtable").firstChild;
      //to reset the sorting for both ie and mozilla....
      
      for(var i=0;i&lt;tb.rows[0].cells.length;i++)
      {
        tb.rows[0].cells[i].innerHTML = getInnerText(requeststable.rows[0].cells[i]);
        tb.rows[0].cells[i].setAttribute("style","behavior:url(explorer/scripts/icansort.htc)");
        if(tb.rows[0].cells[i].getAttribute("sortfunction")!=null)
          sortinit(tb.rows[0].cells[i]);
      }
      
      var count = parseInt("<xsl:value-of select="count(/xmlRoot/COLLECTION/RECENT_REQUESTS/usm_request)"/>");
      
      if(count == 0)
      {
       var msg = '<td class="data" style="padding:10px" colspan="9">'+"<xsl:value-of select="$xslcontent/no_recent_requests" />"+'</td>';
       
       if(isie)
       {
         tb.rows[1].cells[0].innerText = "<xsl:value-of select="$xslcontent/no_recent_requests" />";
       }
       else
       {
         tb.rows[1].innerHTML = msg;
       }
      }
      
    } else if(hiddenresult!=null) {
      if (hiddenresult=='0') {
        alert("<xsl:value-of select="$xslcontent/request_id_not_found" />");      
      } else {
        rid = doc.body.getAttribute("rid");
        var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[8])" />";
        url += "&amp;Args=" + rid;
        window.location.href = url;
      }
    }
  }
  function init()
  {  
  <!-- 
  alert("Layout:"+"<xsl:value-of select="/xmlRoot/COLLECTION/INFO/default_layout"/>" 
  + ", folders count:"+ "<xsl:value-of select="$noOfFolders"/>" 
  + ", Featured Services count:"+ "<xsl:value-of select="$noOfFeaturedServices"/>"
  + ", $numberOfPages:"+ "<xsl:value-of select="$numberOfPages"/>"
  + ", $numberOfFolderPages:"+ "<xsl:value-of select="$numberOfFolderPages"/>"); 
  -->
  numberOfPages='<xsl:value-of select="$numberOfPages"/>';
  numberOfFolderPages='<xsl:value-of select="$numberOfFolderPages"/>';
  var leftPanelDefaultHeight = 448;
  <xsl:if test="$layout=1">
    leftPanelDefaultHeight = 503;
  </xsl:if>

  var tbody = $("#folder-table").children();
  var folderCount = tbody.children().size();


	<xsl:choose>
		<xsl:when test="$layout='8' or $layout='9'">
			slider.init();
		</xsl:when>
		<xsl:otherwise>
			if(numberOfPages > 1){
			$("div.slider-arrow").show();
			$("div#pagination-dots").show();
			}
			$(".servicescarouseldiv").width(servicesPaneWidth * numberOfPages);
		</xsl:otherwise>

	</xsl:choose>


	foldersHeight = 0;
	totalFolderHeight = 0;
	shownFolderHeight = 0;
	isMoreAppended = false;
  
	$(tbody.children()).each(function(){
	  folderHeight = $(this).height();
    if ( ( (leftPanelDefaultHeight-shownFolderHeight)-(folderHeight)) &gt; 0) {
      if( $(this).attr('id') != 'empty_and_more' &amp;&amp; $(this).attr('id') != 'panel-footer-row') {
	     shownFolderHeight += folderHeight;
	    }
	  } else {
    }

	  if(isMoreAppended || ((leftPanelDefaultHeight-(folderHeight))-totalFolderHeight) &lt; 0){
      if($(this).attr('id') != 'empty_and_more' &amp;&amp; $(this).attr('id') != 'panel-footer-row'){
	       $($(this).children()).each(function(){
	         $(this).attr('class','hiddenFolders');
	       });
	     }
    	if(!isMoreAppended){
      	if ($("#folder-table .hiddenFolders").size() &gt; 0) {
        	$("#folder-table .more").text('<xsl:value-of select="$xslcontent/more" />');
          isMoreAppended = true;
        }
      }
    } else {
      totalFolderHeight += folderHeight;
    }
  });
  
  <!--
  alert("Layout:"+"<xsl:value-of select="/xmlRoot/COLLECTION/INFO/default_layout"/>"+", isMoreAppended:"+isMoreAppended+", leftPanelDefaultHeight="+
  leftPanelDefaultHeight+", shownFolderHeight="+shownFolderHeight + ", totalFolderHeight=" + totalFolderHeight
  ); 
  -->
   
    if(!isMoreAppended){

      if ($("#folder-table .hiddenFolders").size() &gt; 0) {
        if ((leftPanelDefaultHeight-shownFolderHeight) &gt; 1)
          $('#empty_and_more').height(leftPanelDefaultHeight-shownFolderHeight);
        else
          $('#empty_and_more').height(0);
                    
        $("#folder-table .more").text('<xsl:value-of select="$xslcontent/more" />');
        isMoreAppended = true;
        
      } else {
        <xsl:if test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER)=0">
          leftPanelDefaultHeight = 403;
        </xsl:if>
        $('#empty_and_more').height(leftPanelDefaultHeight-shownFolderHeight-3);
      }      
    } else {
        if ((leftPanelDefaultHeight-shownFolderHeight) &gt; 1)
          $('#empty_and_more').height(leftPanelDefaultHeight-shownFolderHeight);
        else
          $('#empty_and_more').height(0);
    }

    // ie8 specific hack to force repaint the browser (SLCM-19650)
    $("td.folder-content").addClass("temp-class").removeClass("temp-class");
 
  }
  //hsuja04 START
  //for catalog end user
  function createRequest(catagoryName)
  {
    var url = "<xsl:value-of select="concat($sdURL, '?OP=CREATE_NEW+FACTORY=cr+KEEP.catName=')" />";
    url += escape(catagoryName) + "+KEEP.supportOnly=1";
    parent.parent.location.href = url;    
  }
  // need to open request as a popup window for analyst
  function createPopupRequest(catagoryName)
  {
    //we need to change the backend code to append the primary service desk host information
    var url = "<xsl:value-of select="concat($sdURL, '?OP=CREATE_NEW+FACTORY=cr+KEEP.catName=')" />";
    url += escape(catagoryName) + "+KEEP.supportOnly=1";
    window.open(url);
  }
  // redirect to Service Desk window
  function openRequestList(i)
  {
    var url;
    if(i == 1)
    {
      //Open request
      var pushthrough='<xsl:value-of select="$canPushThrough"/>';
      url = "<xsl:value-of select="concat($sdURL, '?OP=JUST_GRONK_IT+HTMPL=both_cr_sm.htmpl+KEEP.SHOWOPEN=1')" />";
    }
    else if(i == 2)
    {
      //Completed request
      url = "<xsl:value-of select="concat($sdURL, '?OP=JUST_GRONK_IT+HTMPL=both_cr_sm.htmpl+KEEP.SHOWOPEN=0')" />";
    }
    
    parent.parent.location.href = url;
  }
  //hsuja04 END
    function contextchange(s,currentContextUser)
  {
    var ary = (s.options[s.selectedIndex].value).split(dl1);
    var userId = ary[0] ;
    var canAdd = ary[1] ; 
    if ( canAdd == 'false' ) {
      selectPreviousValue(s,currentContextUser) ;
      alert("<xsl:value-of select="$xslcontent/delegator_cannot_add_request"/>".formatMessage(userId)) ;
      return ; 
    }    
    <xsl:choose>
      <xsl:when test="/xmlRoot/COLLECTION/COUNT/cart_count='0'">
        contextUserCurrentIndex = s.selectedIndex;
        var url = "<xsl:value-of select="concat(icservletname,'?Node=icguinode.',util:getNodeWithHandle('catalogbrowse',icuser/securityhandle))"/>";
        url += "&amp;KEEP_contextUserID=" + userId;
        <!--url += "&amp;KEEP_editReqID=null&amp;KEEP_editReqName=null";-->        
        window.location.href = url;       
      </xsl:when>
      <xsl:otherwise>
        selectPreviousValue(s,currentContextUser) ;   
        alert("<xsl:value-of select="$xslcontent/cart_not_empty_for_diff_context"/>");
      </xsl:otherwise>
    </xsl:choose>         
  }
  function selectPreviousValue(s,prevUser){
      for (i = 0; i &lt; s.options.length; i++){ 
         if (s.options[i].value.indexOf(prevUser)!=-1){            
           s.options[i].selected = true;
           break;
         }
      } 
  }
        
  
        
</xsl:template>

<xsl:template match="xmlRoot" mode="body_attributes">
  <xsl:attribute name="style">margin:0px</xsl:attribute>
  <xsl:attribute name="onload">init()</xsl:attribute>
</xsl:template>

<xsl:template match="xmlRoot" mode="body_content">
  
  <xsl:choose>
    <xsl:when test="$layout='8' or $layout='9'">
      <xsl:call-template name="layout_8" />
    </xsl:when>
    <xsl:otherwise>
        <table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr>
              <td colspan="2" style="padding-bottom:4px;">
				<xsl:call-template name="messagerow" />
			  </td>
            </tr>
		</table>
      <xsl:if test="not($layout='5') and not($layout='6')  and not($layout='7')"> 
        <xsl:call-template name="searchrow"/> <!-- *** SEARCH ROW  *** -->
      </xsl:if> 
      <xsl:if test="string-length($editReqID)&gt;0">
        <span id="editmsg" name="editmsg">
          <table class="message" border="0" cellpadding="0" cellspacing="0" width="100%">
            <tr>
              <td>
                <table id="tnotification" border="0" cellpadding="2" cellspacing="0" >
                  <tr>
                    <td><img src="images/instruction.png" align="absmiddle"/></td>
                    <td class="data">
                      <xsl:value-of select="concat($xslcontent/edit_message,' ')"/>
                         <xsl:value-of select="concat($editReqName,' (',$htmlencodededitReqID,')')"/>
                      <xsl:if test="string-length(icguinode/icguinodeinfo[11])&gt;0">
                       &#xa0;<a href="{concat(/xmlRoot/icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[11],'&amp;Args=',$htmlattrencodededitReqID,'&amp;KEEP_editReqID=null&amp;KEEP_editReqName=null&amp;KEEP_returnNode=null')}" title="{concat($xslcontent/view_request_profile,' ',$htmlattrencodededitReqID)}"><xsl:value-of select="$xslcontent/cancel_edit_message"/></a>
                      </xsl:if>
                    </td>
                  </tr>   
                </table>
              </td>
            </tr>
          </table>
        </span>
      </xsl:if>
      <!-- 
      <span id="checkoutmsgtd" name="checkoutmsgtd">
       <table class="message" border="0" cellpadding="0" cellspacing="0" width="100%">
         <xsl:if test="not(substring-before($fromCheckout,'-')='true' or count(//icuser/delegateId) > 0)">
          <xsl:attribute name="style">display:none;</xsl:attribute>
         </xsl:if>
         <xsl:if test="substring-before($fromCheckout,'-')='true'">
            <tr>      
              <td>
                <table border="0" cellpadding="2" cellspacing="2" >
                  <tr>
                    <td class="css-sprite sprite-confirmation_16"><img id="img_cnf" src="images/spacer.png" width="16" height="16"/></td>
                    <td style="padding-left:5px;"><font id="lbl_cnf" class="label"><xsl:value-of select="$xslcontent/confirmation"/></font></td>
                    <td>
                      <xsl:call-template name="confirmationMessage" />
                    </td>
                  </tr>   
                </table>
              </td> 
            </tr>
          </xsl:if> 
          <xsl:if test="count(//icuser/delegateId) > 0">
            <tr>      
              <td>
                <table border="0" cellpadding="2" cellspacing="0">
                  <tr>
                    <td class="css-sprite sprite-warning_16"><img src="images/spacer.png" width="16" height="16"/></td>
                    <td style="padding-left:5px;" colspan="2">
                      <xsl:call-template name="delegateWarning" />
                    </td>
                  </tr>
                </table>
              </td> 
            </tr>
          </xsl:if>
        </table>
      </span>
      -->
      <xsl:choose>  
        <xsl:when test="$layout='1'">
          <table class="landingpage-content" layout="{$layout}" cellpadding="4" cellspacing="0" border="0">
            <tr>
              <td style="padding-top:10px;" valign="top" width="210px">             
                <xsl:call-template name="browsecat"/> <!-- *** BROWSE TABLE *** -->
              </td>
              <td style="padding-top:10px; padding-left:8px" valign="top">
                <xsl:if test="$showRequestInfo='true'">
                    <xsl:call-template name="countinfo1"/> <!-- ***** COUNT INFORMATION ***** -->
                    <xsl:call-template name="recentrequests"/> <!-- ***** RECENT REQUESTS  ***** -->
                </xsl:if> 
              </td>             
              <xsl:if test="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&gt;0">
                <td style="padding-top:10px; padding-left:8px" width="160px" valign="top" align="center">
                  <xsl:call-template name="featured"/> <!-- ***** FEATURED OFFERINGS ***** -->
                </td>
              </xsl:if> 
            </tr>
          </table>
        </xsl:when>
        <xsl:when test="$layout='2'">
          <table class="landingpage-content" layout="{$layout}" cellpadding="4" cellspacing="0" border="0">
            <tr>
              <td style="padding-top:15px;" valign="top" width="210px">               
                <xsl:call-template name="browsecat"/> <!-- *** BROWSE TABLE *** -->
              </td>
              <td style="padding-top:15px;" width="90%" valign="top" align="center">
                <xsl:if test="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&gt;0">
                  <xsl:call-template name="widefeaturedsection"/> <!-- ***** FEATURED OFFERINGS ***** -->
                </xsl:if> 
              </td> 
            </tr>
          </table>
        </xsl:when>
        <xsl:when test="$layout='3'">
          <table class="landingpage-content" layout="{$layout}" cellpadding="4" cellspacing="0" border="0">
            <tr>
              <td style="padding-top:0px;" valign="top">             
                <xsl:call-template name="browsecat"/> <!-- *** BROWSE TABLE *** -->
                <table cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                      <xsl:if test="$showRequestInfo='true'">
                        <td valign="top" width="200px" style="padding-right:5px;"><xsl:call-template name="countinfo"/> <!-- ***** COUNT INFORMATION ***** --></td>
                        <td valign="top" width="100%"><xsl:call-template name="recentrequests"/> <!-- ***** RECENT REQUESTS  ***** --></td>
                      </xsl:if>                      
                    </tr>
                 </table>    
              </td> 
              <xsl:if test="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&gt;0">
                <td style="padding-left:8px;padding-top:15px;" valign="top" width="160px" align="center">
                  <xsl:call-template name="featured"/> <!-- ***** FEATURED OFFERINGS ***** -->
                </td>
              </xsl:if>
            </tr>
          </table>
        </xsl:when>   
        <xsl:when test="$layout='4'">
          <table class="landingpage-content" layout="{$layout}" cellpadding="4" cellspacing="0" border="0">
            <tr>
              <td style="padding-top:15px;" valign="top" width="100%">                
                <xsl:call-template name="browsecat"/> <!-- *** BROWSE TABLE *** -->
              </td> 
              <xsl:if test="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&gt;0">
                <td style="padding-top:15px;" valign="top" width="15%" align="center">
                  <xsl:call-template name="featuredsection"/> <!-- ***** FEATURED OFFERINGS ***** -->
                </td>
              </xsl:if>
            </tr>
          </table>
        </xsl:when>
        <xsl:when test="$layout='5'">
          <table class="landingpage-content" layout="{$layout}" cellpadding="4" cellspacing="0" border="0">
            <tr>
              <td style="padding-top:15px;" valign="top" width="10%">               
                <xsl:call-template name="searchtableSection"/><br/> <!-- *** SEARCH TABLE  *** -->            
                <xsl:call-template name="browsecat"/> <!-- *** BROWSE TABLE *** -->
              </td>
              <xsl:if test="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&gt;0">
                <td style="padding-top:15px;" width="90%" valign="top" align="center">
                  <xsl:call-template name="widefeaturedsection"/> <!-- ***** FEATURED OFFERINGS ***** -->
                </td>
              </xsl:if>
            </tr>
          </table>
        </xsl:when>
        <xsl:when test="$layout='6'">
          <!-- layout 5 with featured being in grid -->
          <table class="landingpage-content" layout="{$layout}" cellpadding="4" cellspacing="0" border="0">
            <tr>
              <td style="padding-top:15px;" valign="top" width="10%">               
                <xsl:call-template name="searchtableSection"/><br/> <!-- *** SEARCH TABLE  *** -->            
                <xsl:call-template name="browsecat"/> <!-- *** BROWSE TABLE *** -->
              </td>
              <xsl:if test="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&gt;0">
                <td style="padding-top:15px;" width="90%" valign="top" align="center">
                  <xsl:call-template name="gridfeaturedsection"/> <!-- ***** FEATURED OFFERINGS ***** -->
                </td>
              </xsl:if>
            </tr>
          </table>
        </xsl:when>
        <xsl:when test="$layout='7'">
          <table class="landingpage-content" layout="{$layout}" cellpadding="4" cellspacing="0" border="0">
            <tr>
              <td style="padding-top:15px;" valign="top" width="10%">               
                <xsl:call-template name="searchtableSection"/><br/> <!-- *** SEARCH TABLE  *** -->
                <xsl:call-template name="browsecat"/> <!-- *** BROWSE TABLE *** -->
              </td>
              <td style="padding-top:15px; padding-left:5px" valign="top" width="250px">
                <xsl:if test="$showRequestInfo='true'">
                  <xsl:call-template name="countinfo"/> <!-- ***** COUNT INFORMATION ***** -->
                    <br/>
                  <xsl:call-template name="recentrequests"/> <!-- ***** RECENT REQUESTS  ***** -->
                </xsl:if>                
              </td>
              <xsl:if test="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&gt;0">
                <td style="padding-top:15px; padding-left:5px" width="10%" valign="top" align="center">
                  <xsl:call-template name="featuredsection"/> <!-- ***** FEATURED OFFERINGS ***** -->
                </td>
              </xsl:if> 
            </tr>
          </table>
        </xsl:when>
      </xsl:choose> 
    </xsl:otherwise>
  </xsl:choose>
  
  <iframe name="hFrame" id="hFrame" onload="cb()" style="display:none;" src="explorer/blank.htm"></iframe> 
  
  <form style="display:none" method="post" action="{icservletname}" id="hiddenformsearchcatalog" name="hiddenformsearchcatalog" >
    <input type="hidden" name="Node" value="{concat('icguinode.',icguinode/icguinodeinfo[1])}" />
    <input type="hidden" name="Args" value=""/>
    <input type="hidden" name="Args" value=""/> 
    <input type="hidden" name="searchstr" />
    <input type="hidden" name="sparams" />
    <input type="hidden" name="searchIn" />
    <input type="hidden" name="searchInstr" />  
  </form> 
  
  <form style="display:none" method="post" action="{icservletname}" id="hiddenrecentrefresh" name="hiddenrecentrefresh" target="hFrame">
    <input type="hidden" name="Node" value="{concat('icguinode.',icguinode/icguinodeinfo[13])}" />
    <input type="hidden" name="Args" value=""/>
    <input type="hidden" name="recentflag" value="true"/>
    <input type="hidden" name="stataccess" value="{string-length(icguinode/icguinodeinfo[9])>0}"/>
  </form>
  <form style="display:none" method="post" action="{icservletname}" id="hiddencountrefresh" name="hiddencountrefresh" target="hFrame">
    <input type="hidden" name="Node" value="{concat('icguinode.',icguinode/icguinodeinfo[14])}" />
    <input type="hidden" name="countflag" value="true"/>
  </form>
  
</xsl:template>

<xsl:template name="shortenName">
  <xsl:param name="str"/>
  <xsl:param name="shortenLength" select="number(30)"/>
  <xsl:choose>
    <xsl:when test="string-length($str) &lt; $shortenLength" >
      <xsl:value-of select="$str" />
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="concat(substring($str,1,($shortenLength -3)),'...')" />
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
<xsl:template name="delegateWarning">
  <font class="label">
    <xsl:value-of select="$xslcontent/delegate_warning" />&space;
    <xsl:value-of select="//icuser/delegateLastName" />,&space; 
    <xsl:value-of select="//icuser/delegateFirstName" />&space;
    (<xsl:value-of select="//icuser/delegateId" />).&space;&space;
  </font>
  <font class="data">
    <a href="javascript:editDelegate()">
      <xsl:value-of select="$xslcontent/edit_delegate" />
    </a>
  </font>
</xsl:template>
<xsl:template name="searchrow">
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
      <td nowrap="true" class="searchbar">
        <table id="searchTable" name="searchTable" border="0" cellspacing="0" cellpadding="3">
          <tr>
            <td class="label" nowrap="true" style="text-align:left;"><xsl:value-of select="$xslcontent/search_in" />&#xa0;
              <select id="foldercombo" class="ie8-auto-expand">
                <option title="{$xslcontent/entire_catalog}" alt="{$xslcontent/entire_catalog}" value=""><xsl:value-of select="$xslcontent/entire_catalog"/></option>
                <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id=$rootID and not(folder_name/LITERAL='___SYSTEM___')]">
                  <option title="{folder_name/LITERAL}" alt="{folder_name/LITERAL}" value="{folder_id/LITERAL}">
                    <xsl:call-template name="shortenName">
                      <xsl:with-param name="str" select="folder_name/LITERAL"/>
                      <xsl:with-param name="shortenLength" select="number(60)"/>
                    </xsl:call-template>
                  </option>
                  <xsl:variable name="curOID" select="folder_id/LITERAL"/>
                  <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$curOID]">
                    <option title="{folder_name/LITERAL}" alt="{folder_name/LITERAL}" value="{folder_id/LITERAL}">&#xa0;&#xa0;&gt;
                      <xsl:call-template name="shortenName">
                        <xsl:with-param name="str" select="folder_name/LITERAL"/>
                        <xsl:with-param name="shortenLength" select="number(60)"/>
                      </xsl:call-template>
                    </option>
                  </xsl:for-each>
                </xsl:for-each>
              </select>&#xa0;
              <select id="properties" style="display:none">
                <xsl:for-each select="$xslcontent/properties/*">
                  <option type="{@type}" value="{@tblname}"><xsl:value-of select="."/></option>
                </xsl:for-each>
              </select>
              <input type="text" size="25" onkeypress="kp(event)" id="searchcriteria" style="height:16px; margin:3px 3px 0 2px;" />&#xa0;
            </td>
            <td>
              <table border="0" class="t">
                <tr>                  
                  <td>
                    <xsl:call-template name="page_button">
                      <xsl:with-param name="id" select="'goButton'" />
                      <xsl:with-param name="text" select="$xslcontent/go" />
                      <xsl:with-param name="onclick">javascript:searchclick()</xsl:with-param>
                    </xsl:call-template>
                  </td>
                </tr>
              </table>
            </td>
            <td align="right" width="70%">
              <xsl:call-template name="requestcontext"/>  
            </td>
          </tr> 
        </table>  
      </td>
         <!-- To display Context on yellow bar calling the Template DisplayContextDetails from includes.xsl 
      <xsl:if test="$countDelegates>0"> 
      <xsl:call-template name="DisplayContextDetails"><xsl:with-param name="strMessage" select="$xslcontent/contextuser_message"/></xsl:call-template>
      </xsl:if> -->
    
      <xsl:if test="$layout='2'">
        <td nowrap="true" align="right" class="pagesection">
          <table border="0" cellspacing="0" cellpadding="3">
            <tr>
              <td nowrap="true" align="right">
                <xsl:choose>
                  <xsl:when test="$isEmbedded='1'">
                    <!--hsuja04 we need to hijack these links so that it redirects to SD window-->    
                    <a id="open_requests" href="javascript:openRequestList(1)" class="quick_start_link"><xsl:value-of select="$xslcontent/open_requests" /></a>&#xa0;
                    <a class="quick_start_link_desc">|</a>&#xa0;
                    <a id="completed_requests" href="javascript:openRequestList(2)" class="quick_start_link"><xsl:value-of select="$xslcontent/completed_requests"/></a>&#xa0;
                  </xsl:when>
                  <xsl:otherwise>
                    <a id="open_requests" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[3])}" class="quick_start_link"><xsl:value-of select="$xslcontent/open_requests" /></a>&#xa0;
                    <a class="quick_start_link_desc">|</a>&#xa0;
                    <a id="pending_action" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[10])}" class="quick_start_link"><xsl:value-of select="$xslcontent/pending_action"/></a>&#xa0; 
                  </xsl:otherwise>
                </xsl:choose>
                <a class="quick_start_link_desc">|</a>&#xa0;
                <a id="view_cart" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[7])}" class="quick_start_link"><span class="css-sprite sprite-shopping_cart" style="margin-right:2px;margin-left:2px"/><xsl:value-of select="$xslcontent/view_cart"/></a>&#xa0;
              </td>
            </tr>
          </table>
        </td>         
      </xsl:if>
    </tr>
  </table>
</xsl:template>

<xsl:template name="searchtableSection">
  <table class="t" cellpadding="0" cellspacing="0" width="100%"> 
    <td class="sectiontd_left" style="padding:0px;"><img style="width:1px" src="images/spacer.png" border="0"/></td> 
    <td class="sectiontd" style="padding:0px;" nowrap="true"><xsl:value-of select="$xslcontent/search_catalog"/></td>
    <td class="sectiontd_right" style="padding:0px;"><img style="width:1px" width="1px" src="images/spacer.png" border="0"/></td> 
  </table>
  <table class="groupbox" width="100%" border="0" cellpadding="4" cellspacing="0"> 
    <tr>
      <td>
        <xsl:value-of select="$xslcontent/search_in" /><br/>
        <select id="foldercombo" class="ie8-auto-expand">
          <option value=""><xsl:value-of select="$xslcontent/entire_catalog"/></option>
          <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id=$rootID and not(folder_name/LITERAL='___SYSTEM___')]">
            <option value="{folder_id/LITERAL}">
            <xsl:call-template name="shortenName">
              <xsl:with-param name="str" select="folder_name/LITERAL"/>
              <xsl:with-param name="shortenLength" select="number(60)"/>
            </xsl:call-template>
            </option>
            <xsl:variable name="curOID" select="folder_id/LITERAL"/>
            <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$curOID]">
              <option value="{folder_id/LITERAL}">&#xa0;&#xa0;&gt;
              <xsl:call-template name="shortenName">
                <xsl:with-param name="str" select="folder_name/LITERAL"/>
                <xsl:with-param name="shortenLength" select="number(60)"/>
              </xsl:call-template>
              </option>
            </xsl:for-each>
          </xsl:for-each>
        </select>
        <select id="properties" style="display:none">
          <xsl:for-each select="$xslcontent/properties/*">
            <option type="{@type}" value="{@tblname}"><xsl:value-of select="."/></option>
          </xsl:for-each>
        </select>
      </td>
    </tr>
    <tr>
      <td>  
        <table cellpadding="0" cellspacing="0" border="0" class="t">
          <tr>
            <td>
              <input type="text" size="25" onkeypress="kp(event)" id="searchcriteria" style="height:16px; margin:3px 3px 0 2px;" />
            </td>
            <td>
              <table cellpadding="0" cellspacing="0" border="0" class="t">
                <tr>                  
                  <td>
                    <xsl:call-template name="page_button">
                      <xsl:with-param name="id" select="'goButton'" />
                      <xsl:with-param name="text" select="$xslcontent/go" />
                      <xsl:with-param name="onclick">javascript:searchclick()</xsl:with-param>
                    </xsl:call-template>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>      
      </td>
    </tr>
  </table>
</xsl:template>



<xsl:template name="featured">
  <div id="feature-section" width="100%">
  <xsl:if test="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&gt;0">
  <div width="100%" id="feature-table">
      
      <table class="t" cellpadding="0" cellspacing="0" width="168px" height="24px"> 
      <td class="sectiontd_left" style="padding:0px;"><img style="width:1px;" src="images/spacer.png" border="0"/></td> 
      <td class="sectiontd" nowrap="true" style="text-align:center;padding:0px;">
        <xsl:value-of select="$xslcontent/featured_services"/>
      </td>
      <td  class="sectiontd_right" style="padding:0px;"><img style="width:1px;" src="images/spacer.png" border="0"/></td> 
      </table>

      <xsl:variable name="featuredServiceCount" select="count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)"/>
      <xsl:for-each select="/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING" >
        <xsl:sort select="sort_order_number/LITERAL" data-type="number" order="ascending"/>
        <div>
          <xsl:choose>
          <xsl:when test="position() &gt; 5">
            <xsl:attribute name="class">hiddenFeatures</xsl:attribute>
            <xsl:attribute name="style">height:85px; padding-bottom: 4px; width: 100%;</xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="class">featured-content</xsl:attribute> 
            <xsl:attribute name="style">height:85px; padding-bottom: 4px; width: 100%;</xsl:attribute>
          </xsl:otherwise>
          </xsl:choose>
            <div class="fieldlabel_above">
              <xsl:if test="string-length(offering_image_file/LITERAL)&gt;0">
                <a href="javascript:detailsclick('{offering_id/LITERAL}', '{offering_code/LITERAL}')"><!--hsuja04 add offering_code field-->
                  <img border="0" align="right" src="FileStore/images/offerings/{offering_image_file/LITERAL}" height="32" width="32"/> 
                </a>
              </xsl:if>
              <a href="javascript:detailsclick('{offering_id/LITERAL}', '{offering_code/LITERAL}')" class="feature_label" title="{offering_name/LITERAL}">
              <xsl:call-template name="shortenName">
              <xsl:with-param name="str" select="offering_name/LITERAL"/>
              <xsl:with-param name="shortenLength" select="number(30)"/>
              </xsl:call-template>
              </a>
            </div>
            <div class="fieldvalue">
              <xsl:if test="string-length(offering_description/LITERAL)&gt;0">
              <xsl:call-template name="shortenName">
              <xsl:with-param name="str" select="offering_description/LITERAL"/>
              <xsl:with-param name="shortenLength" select="number(60)"/>
              </xsl:call-template>              
              </xsl:if>
            </div>
        </div>                                    
        <xsl:if test="position()=5 or position() = last()">
        <xsl:variable name="heightVal" select="485-position()*89"/>
          <div id="featured-empty-space" class="empty-space">
          <xsl:attribute name="style">height:<xsl:value-of select="$heightVal"/>px; width:168px;</xsl:attribute>
          </div>
        </xsl:if>
      </xsl:for-each>
      
            <table class="t" width="100%" cellpadding="0" cellspacing="0" border="0" height="16">
              <tr>
                <td class="sectiontd_footer_left" style="padding:0px;background-repeat: no-repeat;"><img src="images/spacer.png" width="4" height="16" border="0"/></td>
                <td class="sectiontd_footer" width="100%" style="padding:0px;">
                <div featcount="{$featuredServiceCount}" class="more" style="width:160px" onclick="javascript:$('.hiddenFeatures').attr('class','featured-content');$('#feature-table .more').html('');$('#featured-empty-space').height('0');">
                <xsl:if test="$featuredServiceCount &gt; 5"><xsl:value-of select="$xslcontent/more" /></xsl:if>
                </div>
                </td>
                <td class="sectiontd_footer_right" style="padding:0px;background-repeat: no-repeat;"><img src="images/spacer.png" width="4" height="16" border="0"/></td>
              </tr>
            </table>
      
  </div>
  </xsl:if> 
  </div>
</xsl:template>  


<xsl:template name="featuredsection">
  <table class="t" style="width:160px" cellpadding="0" cellspacing="0" border="0">
    <tr>
      <td class="sectiontd_left" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
      <td class="sectiontd" width="100%" style="padding:0px;"><xsl:value-of select="$xslcontent/featured_services"/></td>
      <td class="sectiontd_right" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
    </tr>
  </table>
  <xsl:for-each select="/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING" >
    <xsl:sort select="sort_order_number/LITERAL" data-type="number" order="ascending"/>
    <table width="100%" style="margin-bottom:5px;width:160px" class="wizard_trail" cellpadding="2" cellspacing="0" >
      <tr>
        <td class="fieldlabel_above"><a href="javascript:detailsclick('{offering_id/LITERAL}', '{offering_code/LITERAL}')" class="quick_start_link" title="{offering_name/LITERAL}">
          <xsl:call-template name="shortenName"><xsl:with-param name="str" select="offering_name/LITERAL"/></xsl:call-template>              
        </a></td><!--hsuja04 added offering_code field-->
      </tr>
      <tr class="t">
        <td class="fieldvalue">
          <xsl:if test="string-length(offering_image_file/LITERAL)&gt;0">
            <a href="javascript:detailsclick('{offering_id/LITERAL}', '{offering_code/LITERAL}')"><!--hsuja04 added offering_code field-->
              <img border="0" id="img_{offering_id/LITERAL}" align="left" src="FileStore/images/offerings/{offering_image_file/LITERAL}" height="32" width="32"/> 
            </a>
          </xsl:if>
          <xsl:if test="string-length(offering_description/LITERAL)&gt;0">
            <xsl:value-of select="offering_description/LITERAL" />
          </xsl:if>
          <br/>
          <span>
            <b><xsl:value-of select="/xmlRoot/iclocalization/located_in"/></b>
          </span>&#160;<a href="javascript:folderdrill('{parent_offering_id/LITERAL}')" ><xsl:value-of select="parent_folder_label/LITERAL" /></a>
        </td>
      </tr>
    </table>                                    
  </xsl:for-each> 
</xsl:template> 

<xsl:template name="gridfeaturedsection">
  <table class="t" width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
      <td class="sectiontd_left" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
      <td class="sectiontd" width="100%" style="padding:0px;"><xsl:value-of select="$xslcontent/featured_services"/></td>
      <td class="sectiontd_right" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
    </tr>
  </table>
  <table class="page_section_content" width="100%" border="0" cellpadding="2" cellspacing="0">
    <xsl:for-each select="/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING" >
      <xsl:sort select="sort_order_number/LITERAL" data-type="number" order="ascending"/>
      <xsl:if test="(position() mod 3)=1">
        <script>document.write(unescape("&lt;tr&gt;"));</script>
      </xsl:if>
      <td valign="top" width="33%">
        <xsl:choose>
          <xsl:when test="not((position() mod 3)=0)" >
            <xsl:attribute name="style">padding-top:5px;padding-bottom:20px</xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="style">padding-top:5px;padding-bottom:20px</xsl:attribute>
          </xsl:otherwise>
        </xsl:choose>
         
        <xsl:if test="string-length(offering_image_file/LITERAL)&gt;0">
          <center><img id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/{offering_image_file/LITERAL}" height="32" width="32"/></center>
        </xsl:if>
        <table style="padding-top:3px;width:240px" cellpadding="0" cellspacing="0" valign="top" id="tr_{folder_id/LITERAL}" align="center">
          <tr>
            <td align="center">
              <a href="javascript:detailsclick('{offering_id/LITERAL}', '{offering_code/LITERAL}')" class="quick_start_link"><xsl:value-of select="offering_name/LITERAL" /></a><!--hsuja04 added offering_code field-->  
            </td>
          </tr>
          <tr>
            <td>
              <font class="quick_start_link_desc">
                <xsl:if test="string-length(offering_description/LITERAL)&gt;0">
                  <xsl:value-of select="offering_description/LITERAL" />
                </xsl:if> 
                <xsl:if test="string-length(info_link/LITERAL)&gt;0">
                  &#xa0;<a target="_blank" style="text-decoration:underline" href="{info_link/LITERAL}" title="{info_link/LITERAL}"><xsl:value-of select="$xslcontent/learn_more" /></a>
                </xsl:if>
              </font>
            </td>
          </tr>
        </table>  
      </td>
      <xsl:if test="not(position() mod 3)=1">
        <script>document.write(unescape("&lt;/tr&gt;"));</script>
      </xsl:if> 
    </xsl:for-each> 
  </table>
</xsl:template> 

<xsl:template name="widefeaturedsection">
  <table class="t" width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
      <td class="sectiontd_left" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
      <td class="sectiontd" width="100%" style="padding:0px;"><xsl:value-of select="$xslcontent/featured_services"/></td>
      <td class="sectiontd_right" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
    </tr>
  </table>
  <table cellpadding="2" width="100%" cellspacing="1" border="0" class="table">
    <xsl:for-each select="/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING" >
    <xsl:sort select="sort_order_number/LITERAL" data-type="number" order="ascending"/>
      <tr>
        <xsl:choose> 
          <xsl:when test="not(position() mod 2)"><xsl:attribute name="class">alternateB</xsl:attribute></xsl:when>
          <xsl:otherwise><xsl:attribute name="class">alternateA</xsl:attribute></xsl:otherwise>
        </xsl:choose> 
        <td>
          <table width='100%' cellpadding='3' border='0' cellspacing='0'>
            <tr>
              <td>            
                <table border="0" cellpadding="1" cellspacing="0" width="100%" >
                  <xsl:if test="string-length(offering_image_file/LITERAL)&gt;0">
                    <tr>
                      <td rowspan="4" align="absmiddle" valign="top">
                        <img id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/{offering_image_file/LITERAL}" height="32" width="32" />
                      </td>           
                    </tr>
                  </xsl:if> 
                  <tr>
                    <td width="100%">
                      <a href="javascript:detailsclick('{offering_id/LITERAL}', '{offering_code/LITERAL}')" class="quick_start_link"><xsl:value-of select="offering_name/LITERAL" /></a><!--hsuja04 added offering_code field-->
                    </td>
                  </tr>   
                  <tr>
                    <td>
                      <table border="0" cellpadding="0" cellspacing="1">                                
                        <tr>                                                      
                          <td class="data">
                            <xsl:if test="string-length(offering_description/LITERAL)&gt;0">
                              <xsl:value-of select="offering_description/LITERAL" />
                            </xsl:if> 
                            <xsl:if test="string-length(info_link/LITERAL)&gt;0">
                              &#xa0;<a target="_blank" style="text-decoration:underline" href="{info_link/LITERAL}" title="{info_link/LITERAL}"><xsl:value-of select="$xslcontent/learn_more" /></a>
                            </xsl:if>
                          </td>
                        </tr>                                                   
                      </table>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>                                       
    </xsl:for-each> 
  </table>
</xsl:template> 
<xsl:template name="confirmationMessage">
  <xsl:choose>
    <xsl:when test="substring-after($fromCheckout,'-')='empty'">
      <font id="msg" class="data"><xsl:value-of select="$xslcontent/cart_has_been_emptied"/></font>
    </xsl:when>
    <xsl:when test="substring-after($fromCheckout,'-')='submit'">
      <font id="msg" class="data"><xsl:value-of select="$xslcontent/success_submit_message"/></font>
    </xsl:when>
    <xsl:otherwise> 
      <font id="msg" class="data"><xsl:value-of select="$xslcontent/success_save_message"/></font>
    </xsl:otherwise>
  </xsl:choose>
  <xsl:if test="not(substring-after($fromCheckout,'-')='empty')">
    <xsl:choose>
      <xsl:when test="string-length(icguinode/icguinodeinfo[8])&gt;0">
        <font class="data"><a id="link" href="{concat(/xmlRoot/icservletname,'?Node=icguinode.',/xmlRoot/icguinode/icguinodeinfo[8],'&amp;Args=',$htmlattrencodedlsavedreqID,'&amp;KEEP_returnNode=null')}" title="{concat($xslcontent/view_request_profile,' ',$htmlattrencodedlsavedreqID)}"><xsl:value-of select="concat($lsavedreqName,' (',$htmlencodedlsavedreqID,')')"/></a></font>
      </xsl:when> 
      <xsl:otherwise><font id="link" class="data"><xsl:value-of select="concat($lsavedreqName,' (',$htmlencodedlsavedreqID,')')"/></font></xsl:otherwise>
    </xsl:choose>
  </xsl:if> 
</xsl:template>
<xsl:template name="browsecat">
  <xsl:if test="$layout != '8' and $layout != '9' and $layout != '3' and $layout != '4'">
  <table class="t" width="100%" cellpadding="0" cellspacing="0" border="0">
    <tr>
      <td class="sectiontd_left" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
      <td class="sectiontd" width="100%" style="padding:0px;"><xsl:value-of select="$xslcontent/browse"/></td>
      <td class="sectiontd_right" style="padding:0px;"><img src="images/spacer.png" width="4" height="20" border="0"/></td>
    </tr>
  </table>
  </xsl:if>
  <table id="folder-table" width="100%" border="0" cellpadding="0" cellspacing="0">
  <xsl:if test="$layout != '8' and $layout != '9' and $layout != '3' and $layout != '4' and $layout != '1' ">
  	<xsl:attribute name="class">page_section_content</xsl:attribute>
  </xsl:if>
  <xsl:if test="$layout = '1' ">
    <xsl:attribute name="height">544px</xsl:attribute>
  </xsl:if>
  
    <xsl:if test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER)=0">
      <tr class="alternateA">
        <td style="padding:15px; " nowrap="true" class="data"><xsl:value-of select="$xslcontent/no_categories"/></td>
      </tr>
    </xsl:if>
    <tr>
      <td align="left" width="0px;" >
      <xsl:choose>
      <xsl:when test="(($layout='1') or ($layout='3')) and (count(/xmlRoot/COLLECTION/FEATURED_OFFERINGS/FEATURED_OFFERING)&lt;1)">
      	<xsl:choose>
	      	<xsl:when test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER)=0">
	      		<xsl:attribute name="style">padding-left: 0px;</xsl:attribute>
	      	</xsl:when>
	      	<xsl:otherwise>
	        	<xsl:attribute name="style">padding-left: 0px;</xsl:attribute>
	        </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="style">padding-left: 0px;</xsl:attribute>
      </xsl:otherwise>
      </xsl:choose>
      
          <xsl:choose>
            <xsl:when test="not($layout='3') and not($layout='4')">
              <xsl:apply-templates select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true']" mode="folders"/>
            </xsl:when>
            <xsl:otherwise>
              <div class="slider-div" style="margin-top:90px;">
                <div class="slider-arrow" > <!-- style="display:none" -->
                  <a id="move-left" title="Previous" onclick="javascript:previous(); return false;" href="#"><img src="FileStore/images/offerings/Basic/arrow_move_left_disabled.png"/></a>
                </div>
              </div>
              <div id="services-section" align="center" valign="top" width="766px;" height="223px;">
                <xsl:call-template name="foldersGrid" />
              </div>
              <div class="slider-div" style="margin-top:90px;">
                <div class="slider-arrow">
                <a id="move-right" title="Next" onclick="javascript:next(); return false;" href="#"><img src="FileStore/images/offerings/Basic/arrow_move_right.png"/></a>
                </div>
              </div>

            </xsl:otherwise>
          </xsl:choose>

      </td>
    </tr>
    
    <xsl:if test="not($layout='3') and not($layout='4')">
          <tr id="empty_and_more">
	      	<xsl:choose>
		      	<xsl:when test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER)=0">
		      		<xsl:attribute name="style">v-align:bottom; height:100%;</xsl:attribute>
		      	</xsl:when>
		      	<xsl:otherwise>
		        	<xsl:attribute name="style">background: #F1F1F1; v-align:bottom; height:100%;</xsl:attribute>
		        </xsl:otherwise>
	        </xsl:choose>
          
          <td colspan="2">&space;
          </td>
          </tr>
          <tr id="panel-footer-row" width="100%" height="16">
            <td colspan="2" style="height: 16px; padding: 0px;">
            <table width="100%" cellpadding="0" cellspacing="0" border="0" height="16">
              <tr>
                <td class="sectiontd_footer_left" style="padding:0px;background-repeat: no-repeat;"><img src="images/spacer.png" width="4" height="16" border="0"/></td>
                <td class="sectiontd_footer" width="100%" style="padding:0px;">
                <div class="more" onclick="javascript:$('.hiddenFolders').attr('class','folder-content');$('.hiddenFolders').attr('style','height: 16px; padding: 0px; display: inline;');$('#folder-table .more').html('');$('#empty_and_more').height('0');"></div>
                </td>
                <td class="sectiontd_footer_right" style="padding:0px;background-repeat: no-repeat;"><img src="images/spacer.png" width="4" height="16" border="0"/></td>
              </tr>
            </table>
            </td>
          </tr>
    </xsl:if>
    
  </table>
</xsl:template>

<xsl:template match="BROWSE_CATALOG">
  <div class="folderscarouseldiv">
    <xsl:choose>
    <xsl:when test="$noOfFolders &lt; $group-size">
      <xsl:variable name="margin-factor" select="($group-size - ($noOfFolders mod $group-size)) * 76" />
        <xsl:attribute name="style">margin-left:<xsl:value-of select="$margin-factor" />px</xsl:attribute>
        <xsl:apply-templates select="FOLDER[((not_categorized_folder/LITERAL='true') or (folder_parent_id/LITERAL=$rootID)) and ((position() mod $group-size) = 1) ]" />
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates select="FOLDER[((not_categorized_folder/LITERAL='true') or (folder_parent_id/LITERAL=$rootID)) and ((position() mod $group-size) = 1) ]" />
    </xsl:otherwise>
    </xsl:choose>
  
    <ul id="foldercarouselul" style="list-style:none; margin:0 auto; padding:0; display:inline; text-align=left; align=center;">
    <xsl:if test="(//FOLDER/not_categorized_folder/LITERAL='true') and (($noOfFolders mod $group-size) = 1)">
    <li class="box_big_top_1" title="{folder_description/LITERAL}" alt="{folder_description/LITERAL}"> 
      <xsl:if test="(position() mod $group-size) = 1"><xsl:attribute name="style">margin-left:10px;</xsl:attribute></xsl:if>
      <a>
      <xsl:attribute name="href">javascript:showofferings('<xsl:value-of select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/id/LITERAL"/>')</xsl:attribute>
      <div class="servicebkgnd2_big_top_1">
        <span class="servicename2"><xsl:value-of select="$xslcontent/unknown"/></span>
        <div class="serviceshadowbkgnd">      
        <xsl:choose>
        <xsl:when test="string-length(*[last()]/folder_image_file/LITERAL)&gt;0">
          <img class="boximage_big_top_1" style="" id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/{folder_image_file/LITERAL}"/>
        </xsl:when>
        <xsl:otherwise>
          <img class="boximage_big_top_1" id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/People/noimage.png"/>
        </xsl:otherwise>
        </xsl:choose>   
        </div>      
      </div>
      </a>
    </li>
    </xsl:if>
  </ul>
  
  </div>
  
</xsl:template>

<xsl:template match="FOLDER">
  <ul id="foldercarouselul"
    style="list-style:none; margin:0 auto; padding:0; display:inline; text-align=left; align=center;">
    <xsl:for-each select=". | following-sibling::FOLDER[(folder_parent_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true') and (position() &lt; $group-size) ]">
    <li class="box_big_top_1" title="{folder_name/LITERAL}" alt="{folder_name/LITERAL}"> 
      <xsl:if test="(position() mod $group-size) = 1">
        <xsl:attribute name="style">margin-left:10px;</xsl:attribute>
      </xsl:if>
      <a>
        <xsl:choose>
           <xsl:when test="not_categorized_folder/LITERAL='true'">
            <xsl:attribute name="href">javascript:showofferings('<xsl:value-of select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/id/LITERAL"/>')</xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="href">javascript:showofferings('<xsl:value-of select="folder_id/LITERAL"/>')</xsl:attribute>
          </xsl:otherwise>  
        </xsl:choose>
      <div class="servicebkgnd2_big_top_1">
        <xsl:choose>
          <xsl:when test="folder_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true'">
            <span class="servicename2"><xsl:value-of select="$xslcontent/unknown"/></span>
          </xsl:when>
          <xsl:otherwise>
          <span class="servicename2"><xsl:value-of select="util:ellipsis(folder_name/LITERAL,28)" /></span>            
          </xsl:otherwise>
        </xsl:choose>               
    
        <div class="serviceshadowbkgnd">      
        <xsl:choose>
        <xsl:when test="string-length(folder_image_file/LITERAL)&gt;0">
          <img class="boximage_big_top_1" style="" id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/{folder_image_file/LITERAL}"/>
        </xsl:when>
        <xsl:otherwise>
          <img class="boximage_big_top_1" id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/People/noimage.png"/>
        </xsl:otherwise>
        </xsl:choose>   
        </div>      
      </div>
      </a>
    </li>      
    </xsl:for-each>
    
    <xsl:if test="(//FOLDER/not_categorized_folder/LITERAL='true') and (($noOfFolders mod $group-size) != 1)">
    <li class="box_big_top_1" title="{folder_description/LITERAL}" alt="{folder_description/LITERAL}"> 
      <xsl:if test="(position() mod $group-size) = 1"><xsl:attribute name="style">margin-left:10px;</xsl:attribute></xsl:if>
      <a>
      <xsl:attribute name="href">javascript:showofferings('<xsl:value-of select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/id/LITERAL"/>')</xsl:attribute>
      <div class="servicebkgnd2_big_top_1">
        <span class="servicename2"><xsl:value-of select="$xslcontent/unknown"/></span>
        <div class="serviceshadowbkgnd">      
        <xsl:choose>
        <xsl:when test="string-length(*[last()]/folder_image_file/LITERAL)&gt;0">
          <img class="boximage_big_top_1" style="" id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/{folder_image_file/LITERAL}"/>
        </xsl:when>
        <xsl:otherwise>
          <img class="boximage_big_top_1" id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/People/noimage.png"/>
        </xsl:otherwise>
        </xsl:choose>   
        </div>      
      </div>
      </a>
    </li>
    </xsl:if>
    
  </ul>
  
  
  
</xsl:template>

<xsl:template name="foldersGrid">
  <table border="0" cellpadding="0" cellspacing="0" style="border-radius: 4px;">
    <xsl:choose>
    <xsl:when test="count(/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true'])>0">     
    <tr>
      <td width="100%" align="center">
      <div id="folders-carousel" class="folderscarousel module">
         <xsl:apply-templates select="/xmlRoot/COLLECTION/BROWSE_CATALOG"/>
      </div>
      </td>
    </tr>
    </xsl:when>
    <xsl:otherwise>
     <tr><td>
      <div align='left' style="height:223px;padding-left:10px;font-size:8pt;font-family:verdana;padding-top:25px">
         <xsl:value-of select="$xslcontent/no_folders" />
       </div>
      </td></tr>    
    </xsl:otherwise>
    </xsl:choose>
    <tr>
    <td>
         
      <div class="pagination-dots-row" style="margin-top: 0px; background: none repeat scroll 0% 0% transparent;">
      <div style="text-align:center;display:none;" id="pagination-dots">
          <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true']">
            <xsl:if test="(position()-1) mod $noOfFoldersPerPage = 0">
              <xsl:choose>
                <xsl:when test="position()=1">
                  <a pageno="1" id="page-link-1" href="#" onclick="javascript: goToPage(1); return false;">
                    <img src="FileStore/images/offerings/Basic/dot_blue_selected.png"/>
                  </a>
                </xsl:when>
                <xsl:otherwise>
                  <a pageno="{ceiling((position() div $noOfFoldersPerPage))}" id="page-link-{ceiling((position() div $noOfFoldersPerPage))}" href="#"
                    onclick="javascript:goToPage({ceiling((position() div $noOfFoldersPerPage))}); return false;">
                    <img src="FileStore/images/offerings/Basic/dot_gray_unselected.png"/>
                  </a>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:if>
          </xsl:for-each>
      </div>
      </div>
          
    </td>
    </tr>
    </table>
</xsl:template>

        
<xsl:template match="FOLDER" mode="foldersHorizontal">
  <xsl:if test="(position() mod 5)=1">
    <script>document.write(unescape("&lt;tr&gt;"));</script>
  </xsl:if>                 
                  
  <td valign="top" width="148px" align="center">
	
	<xsl:attribute name="style">padding-top:5px;padding-bottom:10px; margin: 0 auto;</xsl:attribute>
	
	<li class="box_big_top_1" title="{folder_description/LITERAL}" alt="{folder_description/LITERAL}">
      <a>
        <xsl:choose>
           <xsl:when test="not_categorized_folder/LITERAL='true'">
            <xsl:attribute name="href">javascript:showofferings('<xsl:value-of select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/id/LITERAL"/>')</xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="href">javascript:showofferings('<xsl:value-of select="folder_id/LITERAL"/>')</xsl:attribute>
          </xsl:otherwise>  
        </xsl:choose>
        <div class="servicebkgnd2_big_top_1">


        <xsl:choose>
          <xsl:when test="folder_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true'">
            <span class="servicename2"><xsl:value-of select="$xslcontent/unknown"/></span>
          </xsl:when>
          <xsl:otherwise>
          <span class="servicename2"><xsl:value-of select="util:ellipsis(folder_name/LITERAL,28)" /></span>
            
            <!-- If wants to break the word, only if no one space occurrence exists
            <xsl:variable name="ellipsis_folder_name" select="util:ellipsis(folder_name/LITERAL,28)" />
            <xsl:choose>
              <xsl:when test="contains($ellipsis_folder_name, ' ')">
                <span class="servicename2"><xsl:value-of select="$ellipsis_folder_name" /></span>
              </xsl:when>
              <xsl:otherwise>
               <span class="servicename2" style="word-wrap: break-word;"><xsl:value-of select="$ellipsis_folder_name" /></span>
              </xsl:otherwise>
            </xsl:choose>
             -->

          </xsl:otherwise>
        </xsl:choose>               
    
		  <div class="serviceshadowbkgnd">
		  
		  <!--  64x64 icon size with small shadow
		   <div style="z-index: 100; left: 60px; position: absolute; top: -13px">
		   -->
		  <!--  72x72 icon size with large shadow
		   <div style="z-index: 100; left: 60px; position: absolute; top: -30px">
		   -->
			<xsl:choose>
			<xsl:when test="string-length(folder_image_file/LITERAL)&gt;0">
			  <img class="boximage_big_top_1" style="" id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/{folder_image_file/LITERAL}"/>
			</xsl:when>
			<xsl:otherwise>
			  <img class="boximage_big_top_1" id="img_{offering_id/LITERAL}" src="FileStore/images/offerings/People/noimage.png"/>
			</xsl:otherwise>
			</xsl:choose>   
		   
		  </div>		  

      </div>
      </a>
	  </li>
	        
    </td>
  <xsl:if test="not(position() mod 5)=1">
    <script>document.write(unescape("&lt;/tr&gt;"));</script>
  </xsl:if> 
</xsl:template>


  
 
<xsl:template match="FOLDER" mode="folders">
  <tr> <!-- style="margin-bottom:1px;" -->      
    <xsl:if test="$showfoldericon">
      <td valign="top" align="right" style="padding:5px" class="folder-content">
        <xsl:if test="string-length(folder_image_file/LITERAL)&gt;0">
          <img class="tiny_image" id="img_{folder_id/LITERAL}" src="FileStore/images/offerings/{folder_image_file/LITERAL}" valign="center" align="absmiddle" />
        </xsl:if>
      </td>                       
    </xsl:if>                   
    <td valign="top" class="folder-content">
    
    <xsl:variable name="folderLinkTooltip">
      <xsl:choose>
      	<xsl:when test="not_categorized_folder/LITERAL='true'">
      	<xsl:value-of select="$xslcontent/unknown"/>
      	</xsl:when>
        <xsl:otherwise>
        <xsl:value-of select="concat(folder_name/LITERAL,' : ', folder_description/LITERAL)"/>
        </xsl:otherwise>
      </xsl:choose>
      </xsl:variable>
    
      <a alt="{$folderLinkTooltip}" title="{$folderLinkTooltip}" class="folder_label">
        <xsl:choose>
           <xsl:when test="not_categorized_folder/LITERAL='true'">
            <xsl:attribute name="href">javascript:showofferings('<xsl:value-of select="/xmlRoot/COLLECTION/INFO/CURRENT_FOLDER/id/LITERAL"/>')</xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="href">javascript:showofferings('<xsl:value-of select="folder_id/LITERAL"/>')</xsl:attribute>
          </xsl:otherwise>  
        </xsl:choose>
              
        <xsl:choose>
          <xsl:when test="folder_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true'">
            <xsl:value-of select="$xslcontent/unknown"/> 
          </xsl:when>
          <xsl:otherwise>
            <span title="{folder_name/LITERAL}">
            <xsl:call-template name="shortenName">
            <xsl:with-param name="str" select="folder_name/LITERAL"/>
            <xsl:with-param name="shortenLength" select="number(30)"/>
            </xsl:call-template>
            </span>
          </xsl:otherwise>
        </xsl:choose>       
      </a>        
      <font class="quick_start_link_desc">
        <xsl:choose>
          <xsl:when test="folder_id/LITERAL=$rootID or not_categorized_folder/LITERAL='true'">
            <br/><xsl:value-of select="$xslcontent/unknown_description"/>
          </xsl:when>
          <xsl:when test="string-length(folder_description/LITERAL)&gt;0">
            <br/><xsl:value-of select="folder_description/LITERAL"/>
          </xsl:when>
        </xsl:choose>                         
      </font>
      <xsl:variable name="curOID" select="folder_id/LITERAL"/>
      <table style="width:100%;padding-left:5px;" cellpadding="0" cellspacing="0" id="tr_{folder_id/LITERAL}">
        <tr>
          <td nowrap="true" style="list-style:none;">
            <xsl:for-each select="/xmlRoot/COLLECTION/BROWSE_CATALOG/FOLDER[folder_parent_id/LITERAL=$curOID]">
              <xsl:variable name="escapedNameTemp">
                  <xsl:value-of select="folder_name/LITERAL"/>
              </xsl:variable>
              <xsl:variable name="escapedName">
                <xsl:call-template name="escapeQuot">
                  <xsl:with-param name="text" select="$escapedNameTemp"/>
                </xsl:call-template>
              </xsl:variable>
              <li>
                <a title="{$escapedName}" id="anchor_1" href="javascript:showofferings('{folder_id/LITERAL}','{folder_parent_id/LITERAL}','{parent_name/LITERAL}')" class="datalink">
                  <xsl:call-template name="shortenName">
                  <xsl:with-param name="str" select="$escapedName"/>
                  <xsl:with-param name="shortenLength" select="number(30)"/>
                  </xsl:call-template>
                </a>
              </li>           
            </xsl:for-each> 
          </td>
        </tr>
      </table>    
    </td>
  </tr>
</xsl:template>

<xsl:template name="countinfo1">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr height="24px">
<td valign="top">
  <table class="t" cellpadding="0" cellspacing="0" width="100%" height="24px;">
  <tr>
    <td class="sectiontd_left" style="padding:0px;" nowrap="true"><img style="width:1px" src="images/spacer.png" border="0"/></td> 
    <td class="sectiontd" width="100%" nowrap="true" style="padding:0px;"><xsl:value-of select="$xslcontent/request_lookup"/></td>              
    <xsl:if test="not($isenduser) and string-length(icguinode/icguinodeinfo[14])&gt;0">
      <td class="sectiontd" nowrap="true" style="padding:0px;">
        <table class="t" cellpadding="0" cellspacing="0" >
          <tr>
			<!-- 
            <td class="button-background" style="padding:0px;">
              <xsl:call-template name="page_button">
                <xsl:with-param name="id" select="'crBtn'" />
                <xsl:with-param name="text" select="$xslcontent/refresh" />
                <xsl:with-param name="onclick">countrefresh()</xsl:with-param>
              </xsl:call-template>
            </td>
			-->
          </tr>
        </table>
      </td>     
    </xsl:if>
    <td class="sectiontd_right" style="padding:0px;" nowrap="true"><img style="width:1px" width="1px" src="images/spacer.png" border="0"/></td>
  </tr> 
  </table>
 </td>
 </tr>
 <tr>
 <td>
  <table class="groupbox" width="100%" border="0" cellpadding="0" cellspacing="0" style="margin-top:0px;margin-bottom:0px;"> 
    <tr>
      <td valign="top">      
      <table border="0" cellpadding="5" cellspacing="0" width="100%">
          <tr width="100%">
            <td style="margin-left:10px;margin-right:10px;margin-top:20px;">
              
				<table border="0" align="left">
        <tr> 
				<td>
					<table border="0" cellpadding="2" cellspacing="5" width="100%" >
					<tr>
					  <td style="no-wrap:true"><font style="font-weight:bold;"><xsl:value-of select="$xslcontent/find_request_by_id"/></font><input id="requestid" value="" onkeypress="kpr(event)" size="6" /></td>
					  <td align="center" >
						<xsl:call-template name="page_button">
						  <xsl:with-param name="id" select="'goButton'" />
						  <xsl:with-param name="text" select="$xslcontent/go" />
						  <xsl:with-param name="onclick">javascript:reqsearchclick()</xsl:with-param>
						</xsl:call-template>
					  </td>
            <td><a id="advancedSearch" href="{concat(icservletname,'?Node=icguinode.catalogrequestsearchpre')}" class="table_control_link" style="font-weight:normal;">
            <xsl:value-of select="$xslcontent/advanced"/></a></td>
					</tr>
					</table>
				</td>
                <xsl:if test="$layout='2'">
				<script>document.write(unescape("&lt;/tr&gt;&lt;tr&gt;"));</script>
                </xsl:if>
                <td>
				</td>
				</tr>
				</table>
			</td>
      <td width="28%" align="right"><a id="view_all_requested_items" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[6])}" class="table_control_link" style="font-weight:normal;"><xsl:value-of select="$xslcontent/view_all_requested_items"/></a></td>
		  </tr>
		</table>
	  </td>
	</tr>
	
		<tr>
      <td style="border: 1px solid #B0B0B0;" width="100%" valign="center">
          <table border="0" cellpadding="0" cellspacing="0" width="100%" >
            <tr>          
              <td class="requestlookupdiv" id="carttd" name="carttd" align="center" width="25%">
              <font style="font-weight:bold;font-size:105%;"><xsl:value-of select="/xmlRoot/COLLECTION/COUNT/cart_count/LITERAL"/></font><br/>
              <a id="view_cart" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[7])}" class="table_control_link">
              <span class="sprite-inline"><span class="css-sprite sprite-shopping_cart"/>&#160;<xsl:value-of select="$xslcontent/view_cart"/></span>
              </a>
              </td>
              <td class="requestlookupdiv" id="opentd" name="opentd" align="center" width="25%">
              <font style="font-weight:bold;font-size:105%;"><xsl:value-of select="/xmlRoot/COLLECTION/COUNT/open_requests_count/LITERAL"/></font><br/>
              <a id="open_requests" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[3])}" class="table_control_link"><xsl:value-of select="$xslcontent/open_requests"/></a>
              </td>
              <td class="requestlookupdiv" id="completedtd" name="completedtd" align="center" width="25%">
              <font style="font-weight:bold;font-size:105%;"><xsl:value-of select="/xmlRoot/COLLECTION/COUNT/closed_requests_count/LITERAL"/></font><br/>
              <a id="completed_requests" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[4])}" class="table_control_link">
              <xsl:value-of select="$xslcontent/completed_requests"/></a>
              </td>
              <td class="requestlookupdiv" id="actiontd" name="actiontd" align="center" width="25%">
              <font style="font-weight:bold;font-size:105%;"><xsl:value-of select="/xmlRoot/COLLECTION/COUNT/pending_action_count/LITERAL"/></font><br/>
              <a id="pending_action" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[10])}" class="table_control_link">
              <xsl:value-of select="$xslcontent/pending_action"/></a>
              </td>
            </tr>
          </table>
      </td>    
		</tr>
	
  </table>
  </td>
  </tr>
	
  <xsl:if test="$layout='2'">
    <script>document.write(unescape("&lt;/tr&gt;&lt;tr&gt;"));</script>
  </xsl:if>
  
</table>
<div style="padding-bottom:10px;"></div>

</xsl:template>


<xsl:template name="countinfo"> 
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<tr height="24px">
<td valign="top">
  <table class="t" cellpadding="0" cellspacing="0" width="100%" height="24px;">
    <tr> 
    <td class="sectiontd_left" style="padding:0px;" nowrap="true"><img style="width:1px" src="images/spacer.png" border="0"/></td> 
    <td class="sectiontd" width="100%" nowrap="true"><xsl:value-of select="$xslcontent/request_lookup"/></td>              
    <xsl:if test="not($isenduser) and string-length(icguinode/icguinodeinfo[14])&gt;0">
      <td nowrap="true" class="sectiontd" style="padding:0px;">
        <table class="t" cellpadding="0" cellspacing="0" >
          <tr>
      <!-- 
            <td class="button-background" style="padding:0px;">
              <xsl:call-template name="page_button">
                <xsl:with-param name="id" select="'crBtn'" />
                <xsl:with-param name="text" select="$xslcontent/refresh" />
                <xsl:with-param name="onclick">countrefresh()</xsl:with-param>
              </xsl:call-template>
            </td>
      -->
          </tr>
        </table>
      </td>     
    </xsl:if> 
    <td class="sectiontd_right" style="padding:0px;" nowrap="true"><img style="width:1px;" src="images/spacer.png" border="0"/></td>
    </tr>
  </table>
 </td>
 </tr>
 <tr>
 <td>
  <table class="groupbox" width="100%" border="0" cellpadding="0" cellspacing="0" style="margin-top:0px;margin-bottom:0px;height:317px;"> 
    <tr>
      <td valign="top" width="100%">
        <table border="0" cellpadding="5" cellspacing="0" style="margin-left:10px;margin-right:10px;margin-top:20px;" width="100%">
          <tr>
            <td>
              <div align="left" class="data" style="font-weight:bold;"><xsl:value-of select="$xslcontent/find_request_by_id"/></div>
        <table border="0" align="left">
                <tr> 
        <td>
          <table border="0" cellpadding="0" cellspacing="0" width="100%" >
          <tr>                 
            <td><input id="requestid" value="" onkeypress="kpr(event)" size="15" /></td>
            <td align="center" >
            <xsl:call-template name="page_button">
              <xsl:with-param name="id" select="'goButton'" />
              <xsl:with-param name="text" select="$xslcontent/go" />
              <xsl:with-param name="onclick">javascript:reqsearchclick()</xsl:with-param>
            </xsl:call-template>
            </td>
          </tr>
          </table>
        </td>
                <xsl:if test="$layout='2'">
        <script>document.write(unescape("&lt;/tr&gt;&lt;tr&gt;"));</script>
                </xsl:if>
                <td>
        <a id="advancedSearch" href="{concat(icservletname,'?Node=icguinode.catalogrequestsearchpre')}" class="table_control_link" style="font-weight:normal;">
        <xsl:value-of select="$xslcontent/advanced"/>
        </a>
        </td>
        </tr>
        <tr><td><br /></td></tr>
        </table>
      </td>
      </tr>
    </table>
    </td>
  </tr>
  
    <tr>
    <td style="border: 1px solid #B0B0B0;height:205px;" width="100%" valign="bottom">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" >
          <tr>
          <td class="requestlookup_vertical" id="carttd" name="carttd" align="center" style="font-weight:bold;font-size:105%;border-right:none;width:20%"><xsl:value-of select="/xmlRoot/COLLECTION/COUNT/cart_count/LITERAL"/></td>
          <td class="requestlookup_vertical" nowrap="true" style="border-left:none;">
          <a id="view_cart" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[7])}" class="table_control_link">
          <span class="sprite-inline"><span class="css-sprite sprite-shopping_cart"/>&#160;<xsl:value-of select="$xslcontent/view_cart"/></span>
          </a>
          </td>
          </tr>
          <tr>
          <td class="requestlookup_vertical" id="opentd" name="opentd" align="center" style="font-weight:bold;font-size:105%;border-right:none;"><xsl:value-of select="/xmlRoot/COLLECTION/COUNT/open_requests_count/LITERAL"/></td>
          <td class="requestlookup_vertical" nowrap="true" style="padding-left:10px;border-left:none;"><a id="open_requests" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[3])}" class="table_control_link"><xsl:value-of select="$xslcontent/open_requests"/></a></td>
          </tr>
          <tr>
          <td class="requestlookup_vertical" id="completedtd" name="completedtd" align="center" style="font-weight:bold;font-size:105%;border-right:none;"><xsl:value-of select="/xmlRoot/COLLECTION/COUNT/closed_requests_count/LITERAL"/></td>  
          <td class="requestlookup_vertical" nowrap="true" style="padding-left:10px;border-left:none;"><a id="completed_requests" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[4])}" class="table_control_link"><xsl:value-of select="$xslcontent/completed_requests"/></a></td>
          </tr>
          <tr>
          <td class="requestlookup_vertical" id="actiontd" name="actiontd" align="center" style="font-weight:bold;font-size:105%;border-right:none;"><xsl:value-of select="/xmlRoot/COLLECTION/COUNT/pending_action_count/LITERAL"/></td> 
          <td class="requestlookup_vertical" nowrap="true" style="padding-left:10px;border-left:none;"><a id="pending_action" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[10])}" class="table_control_link"><xsl:value-of select="$xslcontent/pending_action"/></a></td>
          </tr>
          <tr>
          <td class="requestlookup_vertical" width="20%" style="font-weight:bold;font-size:105%;border-right:none;"> </td>
          <td class="requestlookup_vertical" nowrap="true" id="carttd" name="carttd" style="padding-left:10px;border-left:none;"><a id="view_all_requested_items" href="{concat(icservletname,'?Node=icguinode.',icguinode/icguinodeinfo[6])}" class="table_control_link"><xsl:value-of select="$xslcontent/view_all_requested_items"/></a></td>
          </tr>   
          <tr>
          <td colspan="2" style="height:28px;background-color:#F4F4F4"></td>
          </tr>   
        </table>
    </td>
    </tr>
  </table>
  </td>
  </tr>
  
  <xsl:if test="$layout='2'">
    <script>document.write(unescape("&lt;/tr&gt;&lt;tr&gt;"));</script>
  </xsl:if>
  
</table>
</xsl:template>



<xsl:template name="recentrequests">  
  <div id="listframe"></div>
	<xsl:variable name="gridHeight">
		<xsl:choose>
			<xsl:when test="$layout='1'">455</xsl:when>
			<xsl:otherwise>340</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

  	<!-- GWT List page Configuration  -->
	<xsl:call-template name="gridmetadata">
 		<xsl:with-param name="xslcontent3" select="$xslcontent3"/>
 		<xsl:with-param name="l10n" select="$l10n"/>
 		<xsl:with-param name="renderTo" select="$renderTo"/>
 		<xsl:with-param name="pageType" select="$pageType"/>
 		<xsl:with-param name="gridHeight" select="$gridHeight"/>
 	</xsl:call-template>
</xsl:template>
<xsl:template name="requestcontext">
  <xsl:param name="defaultLayout" select="true()" />
  <table cellpadding="0" cellspacing="0" border="0">
    <xsl:if test="$defaultLayout">
      <xsl:attribute name="width">100%</xsl:attribute>
    </xsl:if>
    <tr>
      <td nowrap="true">
        <table id="contextTable" name="contextTable" border="0" cellspacing="0" cellpadding="0">
          <xsl:if test="$defaultLayout">
            <xsl:attribute name="width">100%</xsl:attribute>
          </xsl:if>
          <xsl:if test="$countDelegates>0">
          <tr>
            <td class="label" width="20%" align="right" nowrap="true">
              <xsl:value-of select="$xslcontent/request_context" />&#xa0;
              <xsl:variable name="contextUser" select="/xmlRoot/icuser/catalogConextUser"/>
              <xsl:element name="select"> 
                  <xsl:attribute name="id">contextusercombo</xsl:attribute>     
                  <xsl:attribute name="style">width:180px;</xsl:attribute>
                  <xsl:if test="string-length($editReqID)&gt;0" >
                    <xsl:attribute name="disabled">disabled</xsl:attribute>
                  </xsl:if>
                  <xsl:attribute name="onchange">contextchange(this,'<xsl:value-of select="util:replaceSlashWithDoubleSlash($contextUser)"/>')</xsl:attribute>
                  
                  <xsl:variable name="loggedinuserDispalyName" select="concat(/xmlRoot/icuser/cn,' (',/xmlRoot/icuser/icuserid,')')"/>
                  <!-- Adding the loggedin user name in the dropdown list "Use Catalog Of: " -->
                  <xsl:element name="option">
                      <xsl:attribute name="title"><xsl:value-of select="$loggedinuserDispalyName"/></xsl:attribute>
                      <xsl:attribute name="alt"><xsl:value-of select="$loggedinuserDispalyName"/></xsl:attribute>
                      <xsl:if test="/xmlRoot/icuser/icuserid = $contextUser">
                        <xsl:attribute name="selected">Selected</xsl:attribute>
                      </xsl:if>
                      <xsl:attribute name="value"><xsl:value-of select="concat(/xmlRoot/icuser/icuserid,'!','true')"/></xsl:attribute>
                      <xsl:call-template name="shortenName">
                        <xsl:with-param name="str"><xsl:if test="$contextUser=/xmlRoot/icuser/icuserid">*</xsl:if><xsl:value-of select="$xslcontent/self"/></xsl:with-param>
                      </xsl:call-template>
                    </xsl:element>
                  <!-- Adding the loggedin user delegators name in the dropdown list "Use Catalog Of: " -->               
                  <xsl:for-each select="COLLECTION/SER_REQ_DEL_USERIDS_LIST/Delegator">                 
                    <xsl:variable name="serreqdeluserid" select="UserID/LITERAL"/>
                    <xsl:variable name="serreqdelcommonName" select="CommonName/LITERAL"/>
                    <xsl:variable name="serreqdelCanAddReq" select="CanAddRequest/LITERAL"/>
                    <xsl:variable name="serreqdeldispName" select="concat($serreqdelcommonName,' (',$serreqdeluserid,')')"/>
                    <xsl:element name="option">
                      <xsl:attribute name="title"><xsl:value-of select="$serreqdeldispName"/></xsl:attribute>
                      <xsl:attribute name="alt"><xsl:value-of select="$serreqdeldispName"/></xsl:attribute>
                      <xsl:if test="$serreqdeluserid = $contextUser">
                        <xsl:attribute name="selected">Selected</xsl:attribute>
                      </xsl:if>
                      <xsl:attribute name="value"><xsl:value-of select="concat($serreqdeluserid,'!',$serreqdelCanAddReq)"/></xsl:attribute>                      
                      <xsl:call-template name="shortenName">
                        <xsl:with-param name="str"><xsl:if test="$contextUser=$serreqdeluserid">*</xsl:if><xsl:value-of select="$serreqdeldispName"/></xsl:with-param>
                      </xsl:call-template>
                    </xsl:element>
                  </xsl:for-each>             
              </xsl:element> 
            </td>
          </tr>
          </xsl:if> 
        </table>  
      </td>     
    </tr>
  </table>  
</xsl:template>
</xsl:stylesheet>